Permalink
Browse files

Check in the gemspec.

  • Loading branch information...
1 parent b5cd28a commit 6781535fb5b07587220ff1a7595290c4e5ef7f38 @nex3 nex3 committed Nov 29, 2009
Showing with 50 additions and 0 deletions.
  1. +50 −0 rb-inotify.gemspec
View
@@ -0,0 +1,50 @@
+# Generated by jeweler
+# DO NOT EDIT THIS FILE
+# Instead, edit Jeweler::Tasks in Rakefile, and run `rake gemspec`
+# -*- encoding: utf-8 -*-
+
+Gem::Specification.new do |s|
+ s.name = %q{rb-inotify}
+ s.version = "0.1.0"
+
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["Nathan Weizenbaum"]
+ s.date = %q{2009-11-29}
+ s.description = %q{A Ruby wrapper for Linux's inotify, using FFI}
+ s.email = %q{nex342@gmail.com}
+ s.extra_rdoc_files = [
+ "README.md"
+ ]
+ s.files = [
+ ".gitignore",
+ ".yardopts",
+ "MIT-LICENSE",
+ "README.md",
+ "Rakefile",
+ "VERSION",
+ "lib/rb-inotify.rb",
+ "lib/rb-inotify/event.rb",
+ "lib/rb-inotify/native.rb",
+ "lib/rb-inotify/native/flags.rb",
+ "lib/rb-inotify/notifier.rb",
+ "lib/rb-inotify/watcher.rb"
+ ]
+ s.homepage = %q{http://github.com/nex3/rb-notify}
+ s.rdoc_options = ["--charset=UTF-8"]
+ s.require_paths = ["lib"]
+ s.rubygems_version = %q{1.3.5}
+ s.summary = %q{A Ruby wrapper for Linux's inotify, using FFI}
+
+ if s.respond_to? :specification_version then
+ current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
+ s.specification_version = 3
+
+ if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
+ s.add_development_dependency(%q<yard>, [">= 0"])
+ else
+ s.add_dependency(%q<yard>, [">= 0"])
+ end
+ else
+ s.add_dependency(%q<yard>, [">= 0"])
+ end
+end

0 comments on commit 6781535

Please sign in to comment.